import express from 'express'
import { engine } from 'express-handlebars'

const app = express()

app.engine('handlebars', engine())
app.set('view engine', 'handlebars')
app.set('views', './src/views')

app.use(express.static('dist'))

app.get('/', (req, res) => {
  res.render('home')
})

app.get('/:nominative/:accusative/:predicative_possessive/:reflexive', (req, res) => {
  const {
    nominative,
    accusative,
    predicative_possessive: predicativePossessive,
    reflexive,
  } = req.params
  res.render('individual', {
    nominative, accusative, pronominalPossessive: accusative, predicativePossessive, reflexive
  })
})

app.get('/:nominative/:accusative/:pronominal_possessive/:predicative_possessive/:reflexive', (req, res) => {
  const {
    nominative,
    accusative,
    pronominal_possessive: pronominalPossessive,
    predicative_possessive: predicativePossessive,
    reflexive,
  } = req.params
  res.render('individual', {
    nominative, accusative, pronominalPossessive, predicativePossessive, reflexive
  })
})

app.listen(3000)
